Update a Cloud Connected cluster

Base URL
https://api.elastic-cloud.com
  • PATCH /api/v1/cloud-connected/clusters/{id}
Auth

Partially update a Cloud Connected cluster. Only fields included in the request body are modified. When If-Match is provided, the request is only applied if the current ETag matches.

Path parameters

id string · pattern: ^[a-z0-9]{32}$ required

The ID of the Cloud Connected cluster

Header parameters

If-Match string

ETag value fetched in a previous GET cluster request. Used to prevent simultaneous updates

Request body

The Cloud Connected cluster patch body

name string · max length: 255

Descriptive name for a Cloud Connected cluster.

self_managed_cluster object

A self-managed cluster.

name string

Descriptive name for a self managed cluster.

version string

The version of the self-managed cluster.

license object

The license of the self-managed cluster

type enum

The type of the self-managed cluster license.

Values: trial basic standard dev silver gold platinum enterprise
uid string

The unique identifier of the self-managed cluster license.

services object

A list of Cloud services that can be enabled for a cluster.

auto_ops object

Information about the state and configuration for the AutoOps service

enabled boolean

whether the AutoOps service is enabled for the cluster

eis object

Information about the state and configuration for the EIS service

enabled boolean

whether the EIS service is enabled for the cluster

Responses

The updated Cloud Connected cluster.

application/json
id string · pattern: ^[a-z0-9]{32}$ required

ID of the Cloud Connected cluster.

name string · max length: 255 required

Descriptive name for a Cloud Connected cluster.

metadata object required

Additional details about the Cloud Connected cluster.

created_at string · format: date-time required

Date and time when the cluster was onboarded.

created_by string required

ID of the user.

organization_id string · pattern: ^[a-z0-9]{1,32}$ required

The Organization ID which owns the cluster.

self_managed_cluster object required

A self-managed cluster.

id string required

ID of the self-managed cluster.

name string required

Descriptive name for a self managed cluster.

version string required

The version of the self-managed cluster.

license object required

The license of the self-managed cluster

type enum required

The type of the self-managed cluster license.

Values: trial basic standard dev silver gold platinum enterprise
uid string required

The unique identifier of the self-managed cluster license.

services object required

A list of Cloud services that can be enabled for a cluster.

auto_ops object required

Information about the state and configuration for the AutoOps service

enabled boolean required

whether the AutoOps service is enabled for the cluster

support object required

Information about whether a service is supported for a cluster

supported boolean required

whether the service can be enabled for the cluster

valid_license_types enum[] required

list of license types that support the service.

Values: trial basic standard dev silver gold platinum enterprise
minimum_stack_version string required

minimum stack version that supports the service.

config object

Configuration for the AutoOps service

region_id string required

Unique human-readable identifier for a region in Elastic Cloud.

metadata object required

Metadata information for the AutoOps service, including documentation and service URLs

documentation_url string · format: uri required

URL to the service documentation

service_url string · format: uri

URL to access the service for this cluster.

connect_url string · format: uri required

URL to connect to the service.

subscription object required

Subscription requirements for a service.

required boolean required

Whether a subscription is required for this service.

eis object required

Information about the state and configuration for the EIS service

enabled boolean required

whether the EIS service is enabled for the cluster

support object required

Information about whether a service is supported for a cluster

supported boolean required

whether the service can be enabled for the cluster

valid_license_types enum[] required

list of license types that support the service.

Values: trial basic standard dev silver gold platinum enterprise
minimum_stack_version string required

minimum stack version that supports the service.

metadata object required

Base metadata information for a service, including documentation URL

documentation_url string · format: uri required

URL to the service documentation

subscription object required

Subscription requirements for a service.

required boolean required

Whether a subscription is required for this service.

keys object

API keys from the different services that can be used to interact with a Cloud Connected Service

eis string

An API Key that can be used to interact with a Cloud Connected Service

Response headers

ETag string

Unauthorized

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Forbidden

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Not Found

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Conflict

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Precondition failed

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Base URL
https://api.elastic-cloud.com